### Method

# Gtk Label get_current_uri

#### Declaration [src]

    const char*
    gtk_label_get_current_uri (
      GtkLabel* self
    )

#### Description [src]

Returns the URI for the currently active link in the label.

The active link is the one under the mouse pointer or, in a selectable label, the link in which the text cursor is currently positioned.

This function is intended for use in a `GtkLabel::activate-link` handler or for use in a `GtkWidget::query-tooltip` handler.

#### Return value

Returns: | `const char*`
| The currently active URI.
| The data is owned by the instance.
| The return value can be `NULL`.
| The string is a NUL terminated UTF-8 string.